%define major	6
%define api	1.0
%define libname	%mklibname gdict %{api} %{major}
%define devname	%mklibname -d gdict %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-dictionary
Epoch:		1
Version:	3.6.0
Release:	2
Summary:	GNOME Dictionary
License:	GPLv2+ and LGPLv2
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool, itstool
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
Conflicts:	gnome-utils < 1:3.3.2

%description
GNOME Dictionary - Look up words in dictionary sources.

%package -n %{libname}
Group:		System/Libraries
Summary:	GNOME dictionary shared library

%description -n %{libname}
This is the shared library required by the GNOME Dictionary.

%package -n %{devname}
Group:		Development/C
Summary:	GNOME dictionary library development files
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	libgdict%{api}-devel = %{epoch}:%{version}-%{release}

%description -n %{devname}
This is the shared library required by the GNOME Dictionary.

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath \
	--disable-static \
	--disable-schemas-compile \
	--disable-scrollkeeper
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc README NEWS AUTHORS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/gdict-%{api}/
%{_datadir}/glib-2.0/schemas/org.gnome.dictionary.gschema.xml
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*

%files -n %{libname}
%{_libdir}/libgdict-%{api}.so.%{major}*

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/gdict/
%{_libdir}/libgdict-%{api}.so
%{_libdir}/pkgconfig/gdict-%{api}.pc
%{_includedir}/gdict-%{api}




%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:3.6.0-2
+ Revision: 6f448d7
- MassBuild#440: Increase release tag


